> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete SMS OTP authenticator configuration

> Delete the tenant's SMS OTP authenticator configuration.



## OpenAPI

````yaml management-api DELETE /authenticator-configurations/sms
openapi: 3.1.0
info:
  description: Authsignal's Management API
  version: 1.0.0
  title: Management Api
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1/management
    description: Authsignal's US (Oregon) Management API
  - url: https://au.api.authsignal.com/v1/management
    description: Authsignal's AU (Sydney) Management API
  - url: https://eu.api.authsignal.com/v1/management
    description: Authsignal's EU (Ireland) Management API
  - url: https://ca.api.authsignal.com/v1/management
    description: Authsignal's CA (Montreal) Management API
security:
  - basicAuth: []
tags:
  - name: Tenant
    description: Endpoints related to the configuration of a tenant.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Action Configurations
    description: Endpoints related to the configuration of action configurations.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: SMS OTP configuration
    description: Endpoints for managing the tenant's SMS OTP configuration.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: email OTP configuration
    description: Endpoints for managing the tenant's email OTP configuration.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: passkey configuration
    description: Endpoints for managing the tenant's passkey configuration.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: push configuration
    description: Endpoints for managing the tenant's push configuration.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Rules
    description: Endpoints related to the configuration of rules.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Theme
    description: Endpoints related to the configuration of a Tenant's theme.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Message Overrides
    description: >-
      Endpoints related to the configuration of a Tenant's pre-built UI message
      overrides.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /authenticator-configurations/sms:
    delete:
      tags:
        - SMS OTP configuration
      summary: Delete the SMS OTP configuration
      description: >-
        Permanently deletes the tenant's SMS OTP configuration and its stored
        credentials.
      operationId: deleteSmsAuthenticatorConfiguration
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SuccessResponse:
      type: object
      properties:
        success:
          type: boolean
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        errorDescription:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Authsignal Management API secret key as the username and leave
        the password empty. This key is different from the Server API key and
        can be found in the API Keys section of the Authsignal Portal settings
        page.

````